From b409e8d2bd5dac8ea664a98d6918cb0bfbbc4b21 Mon Sep 17 00:00:00 2001
From: travankor <travankor@tuta.io>
Date: Mon, 24 Jun 2019 21:59:36 -0700
Subject: [PATCH] openvpn: add a service file.

---
 srcpkgs/openvpn/files/openvpn/run | 2 ++
 srcpkgs/openvpn/template          | 7 ++++---
 2 files changed, 6 insertions(+), 3 deletions(-)
 create mode 100644 srcpkgs/openvpn/files/openvpn/run

diff --git a/srcpkgs/openvpn/files/openvpn/run b/srcpkgs/openvpn/files/openvpn/run
new file mode 100644
index 00000000000..8173deff4af
--- /dev/null
+++ b/srcpkgs/openvpn/files/openvpn/run
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec openvpn --config /etc/openvpn/openvpn.conf
diff --git a/srcpkgs/openvpn/template b/srcpkgs/openvpn/template
index 9c07d62f95d..bd192f35351 100644
--- a/srcpkgs/openvpn/template
+++ b/srcpkgs/openvpn/template
@@ -1,18 +1,18 @@
 # Template file for 'openvpn'
 pkgname=openvpn
 version=2.4.7
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--enable-pkcs11 --enable-iproute2 --disable-systemd"
 hostmakedepends="iproute2 pkg-config"
 makedepends="libressl-devel lzo-devel pam-devel pkcs11-helper-devel
  cmocka-devel"
 depends="iproute2"
-short_desc="An easy-to-use, robust, and highly configurable VPN"
+short_desc="Easy-to-use, robust, and highly configurable VPN"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://www.openvpn.net"
-distfiles="http://build.openvpn.net/downloads/releases/${pkgname}-${version}.tar.xz"
+distfiles="https://build.openvpn.net/downloads/releases/${pkgname}-${version}.tar.xz"
 checksum=a42f53570f669eaf10af68e98d65b531015ff9e12be7a62d9269ea684652f648
 
 post_install() {
@@ -20,4 +20,5 @@ post_install() {
 	cp -r sample/sample-config-files/* ${DESTDIR}/usr/share/examples/${pkgname}
 
 	rm -rf ${DESTDIR}/usr/include
+	vsv openvpn
 }
